(!stylesheet "r5rs-Z-C.css")
(!preferred-title "Revised^5 Report on the Algorithmic Language Scheme")
(!default-title "Revised<img src=\"r5rs-Z-G-1.gif\" border=\"0\"> Report on the Algorithmic Language Scheme")
(!toc-entry 0 "IGNORE" 1 "%_chap_Temp_1" "{Summary}")
(!toc-page 2)
(!toc-entry 0 "IGNORE" 3 "%_chap_Temp_3" "{Introduction}")
(!toc-entry 2 "IGNORE" 3 "%_sec_Temp_4" "{Background}")
(!toc-entry 2 "IGNORE" 3 "%_sec_Temp_5" "{Acknowledgements}")
(!toc-entry 0 "1" 4 "%_chap_1" "{Overview of Scheme}")
(!toc-entry 1 "1.1" 4 "%_sec_1.1" "{Semantics}")
(!toc-entry 1 "1.2" 4 "%_sec_1.2" "{Syntax}")
(!toc-entry 1 "1.3" 4 "%_sec_1.3" "{Notation and terminology}")
(!toc-entry 2 "1.3.1" 4 "%_sec_1.3.1" "{Primitive, library, and optional features}")
(!toc-entry 2 "1.3.2" 4 "%_sec_1.3.2" "{Error situations and unspecified behavior}")
(!toc-entry 2 "1.3.3" 4 "%_sec_1.3.3" "{Entry format}")
(!toc-entry 2 "1.3.4" 4 "%_sec_1.3.4" "{Evaluation examples}")
(!toc-entry 2 "1.3.5" 4 "%_sec_1.3.5" "{Naming conventions}")
(!toc-entry 0 "2" 5 "%_chap_2" "{Lexical conventions}")
(!toc-entry 1 "2.1" 5 "%_sec_2.1" "{Identifiers}")
(!toc-entry 1 "2.2" 5 "%_sec_2.2" "{Whitespace and comments}")
(!toc-entry 1 "2.3" 5 "%_sec_2.3" "{Other notations}")
(!toc-entry 0 "3" 6 "%_chap_3" "{Basic concepts}")
(!toc-entry 1 "3.1" 6 "%_sec_3.1" "{Variables, syntactic keywords, and regions}")
(!toc-entry 1 "3.2" 6 "%_sec_3.2" "{Disjointness of types}")
(!toc-entry 1 "3.3" 6 "%_sec_3.3" "{External representations}")
(!toc-entry 1 "3.4" 6 "%_sec_3.4" "{Storage model}")
(!toc-entry 1 "3.5" 6 "%_sec_3.5" "{Proper tail recursion}")
(!toc-entry 0 "4" 7 "%_chap_4" "{Expressions}")
(!toc-entry 1 "4.1" 7 "%_sec_4.1" "{Primitive expression types}")
(!toc-entry 2 "4.1.1" 7 "%_sec_4.1.1" "{Variable references}")
(!toc-entry 2 "4.1.2" 7 "%_sec_4.1.2" "{Literal expressions}")
(!toc-entry 2 "4.1.3" 7 "%_sec_4.1.3" "{Procedure calls}")
(!toc-entry 2 "4.1.4" 7 "%_sec_4.1.4" "{Procedures}")
(!toc-entry 2 "4.1.5" 7 "%_sec_4.1.5" "{Conditionals}")
(!toc-entry 2 "4.1.6" 7 "%_sec_4.1.6" "{Assignments}")
(!toc-entry 1 "4.2" 7 "%_sec_4.2" "{Derived expression types}")
(!toc-entry 2 "4.2.1" 7 "%_sec_4.2.1" "{Conditionals}")
(!toc-entry 2 "4.2.2" 7 "%_sec_4.2.2" "{Binding constructs}")
(!toc-entry 2 "4.2.3" 7 "%_sec_4.2.3" "{Sequencing}")
(!toc-entry 2 "4.2.4" 7 "%_sec_4.2.4" "{Iteration}")
(!toc-entry 2 "4.2.5" 7 "%_sec_4.2.5" "{Delayed evaluation}")
(!toc-entry 2 "4.2.6" 7 "%_sec_4.2.6" "{Quasiquotation}")
(!toc-entry 1 "4.3" 7 "%_sec_4.3" "{Macros}")
(!toc-entry 2 "4.3.1" 7 "%_sec_4.3.1" "{Binding constructs for syntactic keywords}")
(!toc-entry 2 "4.3.2" 7 "%_sec_4.3.2" "{Pattern language}")
(!toc-entry 0 "5" 8 "%_chap_5" "{Program structure}")
(!toc-entry 1 "5.1" 8 "%_sec_5.1" "{Programs}")
(!toc-entry 1 "5.2" 8 "%_sec_5.2" "{Definitions}")
(!toc-entry 2 "5.2.1" 8 "%_sec_5.2.1" "{Top level definitions}")
(!toc-entry 2 "5.2.2" 8 "%_sec_5.2.2" "{Internal definitions}")
(!toc-entry 1 "5.3" 8 "%_sec_5.3" "{Syntax definitions}")
(!toc-entry 0 "6" 9 "%_chap_6" "{Standard procedures}")
(!toc-entry 1 "6.1" 9 "%_sec_6.1" "{Equivalence predicates}")
(!toc-entry 1 "6.2" 9 "%_sec_6.2" "{Numbers}")
(!toc-entry 2 "6.2.1" 9 "%_sec_6.2.1" "{Numerical types}")
(!toc-entry 2 "6.2.2" 9 "%_sec_6.2.2" "{Exactness}")
(!toc-entry 2 "6.2.3" 9 "%_sec_6.2.3" "{Implementation restrictions}")
(!toc-entry 2 "6.2.4" 9 "%_sec_6.2.4" "{Syntax of numerical constants}")
(!toc-entry 2 "6.2.5" 9 "%_sec_6.2.5" "{Numerical operations}")
(!toc-entry 2 "6.2.6" 9 "%_sec_6.2.6" "{Numerical input and output}")
(!toc-entry 1 "6.3" 9 "%_sec_6.3" "{Other data types}")
(!toc-entry 2 "6.3.1" 9 "%_sec_6.3.1" "{Booleans}")
(!toc-entry 2 "6.3.2" 9 "%_sec_6.3.2" "{Pairs and lists}")
(!toc-entry 2 "6.3.3" 9 "%_sec_6.3.3" "{Symbols}")
(!toc-entry 2 "6.3.4" 9 "%_sec_6.3.4" "{Characters}")
(!toc-entry 2 "6.3.5" 9 "%_sec_6.3.5" "{Strings}")
(!toc-entry 2 "6.3.6" 9 "%_sec_6.3.6" "{Vectors}")
(!toc-entry 1 "6.4" 9 "%_sec_6.4" "{Control features}")
(!toc-entry 1 "6.5" 9 "%_sec_6.5" "{\\tt{Eval}}")
(!toc-entry 1 "6.6" 9 "%_sec_6.6" "{Input and output}")
(!toc-entry 2 "6.6.1" 9 "%_sec_6.6.1" "{Ports}")
(!toc-entry 2 "6.6.2" 9 "%_sec_6.6.2" "{Input}")
(!toc-entry 2 "6.6.3" 9 "%_sec_6.6.3" "{Output}")
(!toc-entry 2 "6.6.4" 9 "%_sec_6.6.4" "{System interface}")
(!toc-entry 0 "7" 10 "%_chap_7" "{Formal syntax and semantics}")
(!toc-entry 1 "7.1" 10 "%_sec_7.1" "{Formal syntax}")
(!toc-entry 2 "7.1.1" 10 "%_sec_7.1.1" "{Lexical structure}")
(!toc-entry 2 "7.1.2" 10 "%_sec_7.1.2" "{External representations}")
(!toc-entry 2 "7.1.3" 10 "%_sec_7.1.3" "{Expressions}")
(!toc-entry 2 "7.1.4" 10 "%_sec_7.1.4" "{Quasiquotations}")
(!toc-entry 2 "7.1.5" 10 "%_sec_7.1.5" "{Transformers}")
(!toc-entry 2 "7.1.6" 10 "%_sec_7.1.6" "{Programs and definitions}")
(!toc-entry 1 "7.2" 10 "%_sec_7.2" "{Formal semantics}")
(!toc-entry 2 "7.2.1" 10 "%_sec_7.2.1" "{Abstract syntax}")
(!toc-entry 2 "7.2.2" 10 "%_sec_7.2.2" "{Domain equations}")
(!toc-entry 2 "7.2.3" 10 "%_sec_7.2.3" "{Semantic functions}")
(!toc-entry 2 "7.2.4" 10 "%_sec_7.2.4" "{Auxiliary functions}")
(!toc-entry 1 "7.3" 10 "%_sec_7.3" "{Derived expression types}")
(!toc-entry 0 "IGNORE" 11 "%_chap_Temp_6" "{Notes}")
(!toc-entry 2 "IGNORE" 11 "%_sec_Temp_7" "{Language changes}")
(!toc-entry 0 "IGNORE" 12 "%_chap_Temp_8" "{Additional material}")
(!toc-entry 0 "IGNORE" 13 "%_chap_Temp_9" "{Example}")
(!toc-entry 0 "IGNORE" 14 "%_chap_Temp_10" "{Bibliography}")
(!toc-entry 0 "IGNORE" 15 "%_chap_Temp_11" "{Alphabetic Index of Definitions of Concepts,\r\nKeywords, and Procedures}")
(!index-page 15)
(!using-external-program (quote makeindex))
(!last-page-number 15)
